ZooTrace (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server

## Class ZooTrace

- java.lang.Object
- - org.apache.zookeeper.server.ZooTrace

-     public class ZooTrace
      extends Object

  This class encapsulates and centralizes tracing for the ZooKeeper server. Trace messages go to the log with TRACE level.

  Log4j must be correctly configured to capture the TRACE messages.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `CLIENT_DATA_PACKET_TRACE_MASK`
    `static long` | `CLIENT_PING_TRACE_MASK`
    `static long` | `CLIENT_REQUEST_TRACE_MASK`
    `static long` | `EVENT_DELIVERY_TRACE_MASK`
    `static long` | `JMX_TRACE_MASK`
    `static long` | `SERVER_PACKET_TRACE_MASK`
    `static long` | `SERVER_PING_TRACE_MASK`
    `static long` | `SESSION_TRACE_MASK`
    `static long` | `WARNING_TRACE_MASK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZooTrace()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `getTextTraceLevel()`
    `static boolean` | `isTraceEnabled(org.slf4j.Logger log, long mask)`
    `static void` | `logQuorumPacket(org.slf4j.Logger log, long mask, char direction, QuorumPacket qp)`
    `static void` | `logRequest(org.slf4j.Logger log, long mask, char rp, Request request, String header)`
    `static void` | `logTraceMessage(org.slf4j.Logger log, long mask, String msg)`
    `static void` | `setTextTraceLevel(long mask)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLIENT_REQUEST_TRACE_MASK

          public static final long CLIENT_REQUEST_TRACE_MASK

      See Also:
        Constant Field Values

    - #### CLIENT_DATA_PACKET_TRACE_MASK

          public static final long CLIENT_DATA_PACKET_TRACE_MASK

      See Also:
        Constant Field Values

    - #### CLIENT_PING_TRACE_MASK

          public static final long CLIENT_PING_TRACE_MASK

      See Also:
        Constant Field Values

    - #### SERVER_PACKET_TRACE_MASK

          public static final long SERVER_PACKET_TRACE_MASK

      See Also:
        Constant Field Values

    - #### SESSION_TRACE_MASK

          public static final long SESSION_TRACE_MASK

      See Also:
        Constant Field Values

    - #### EVENT_DELIVERY_TRACE_MASK

          public static final long EVENT_DELIVERY_TRACE_MASK

      See Also:
        Constant Field Values

    - #### SERVER_PING_TRACE_MASK

          public static final long SERVER_PING_TRACE_MASK

      See Also:
        Constant Field Values

    - #### WARNING_TRACE_MASK

          public static final long WARNING_TRACE_MASK

      See Also:
        Constant Field Values

    - #### JMX_TRACE_MASK

          public static final long JMX_TRACE_MASK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ZooTrace

          public ZooTrace()

  - ### Method Detail

    - #### getTextTraceLevel

          public static long getTextTraceLevel()

    - #### setTextTraceLevel

          public static void setTextTraceLevel(long mask)

    - #### isTraceEnabled

          public static boolean isTraceEnabled(org.slf4j.Logger log,
                                               long mask)

    - #### logTraceMessage

          public static void logTraceMessage(org.slf4j.Logger log,
                                             long mask,
                                             String msg)

    - #### logQuorumPacket

          public static void logQuorumPacket(org.slf4j.Logger log,
                                             long mask,
                                             char direction,
                                             QuorumPacket qp)

    - #### logRequest

          public static void logRequest(org.slf4j.Logger log,
                                        long mask,
                                        char rp,
                                        Request request,
                                        String header)

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.